Doomsday Engine - Bug #1593

[Doom] Excess state in rocket explosion
2013-10-18 10:58 - skyjake

Status: New Start date: 2013-10-18
Priority: Low % Done: 0%
Assignee:

Category:

Target version: Modding

Description

There is a superflous extra state in rocket explosion that breaks some DEH patches.

Related issues:
Related to Feature #1471: Standard definitions should conform to vanilla New

2008-09-24

History

#1 - 2013-10-19 12:45 - skyjake

This one?

# An extra step for the missile explosion to allow the particle effects to
# look better. A bit of a hack, mind you.

State {
ID = "EXPLODEO";
Sprite = "MISL";
Frame = 1;
Flags = fullbright;
Next state = "EXPLODE1";

}

It should be gotten rid of, although naturally resource packs that rely on this definition need to be updated.

#2 - 2017-04-03 14:40 - skyjake

- Target version set to Modding
